<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9,00"
	Name="history_manager"
	ProjectGUID="{1B98DC87-44F5-48AE-B5D0-29DD8AD86F5E}"
	RootNamespace="history_manager"
	Keyword="Win32Proj"
	TargetFrameworkVersion="0"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
		<Platform
			Name="x64"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="2"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				AdditionalOptions="/arch:IA32"
				Optimization="0"
				AdditionalIncludeDirectories=".;../../includes;../../../localization/includes;../../../../libs/intl;../../../../libs/MALLOC/includes;../../../core/includes;../../../windows_tools/includes;../../../output_stream/includes;../../../fileio/includes;../../../../java/jdk/include;../../../../java/jdk/include/win32;../../../api_scilab/includes"
				PreprocessorDefinitions="_CRT_SECURE_NO_DEPRECATE;FORDLL;_DEBUG;_WINDOWS;_USRDLL;HISTORY_MANAGER_EXPORTS"
				MinimalRebuild="true"
				BasicRuntimeChecks="0"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
				Description="Make dependencies"
				CommandLine="lib /DEF:&quot;$(InputDir)LibScilab_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X86 /OUT:&quot;$(InputDir)LibScilab.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;lib /DEF:&quot;$(InputDir)Scilab_windows_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X86 /OUT:&quot;$(InputDir)scilab_windows.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;lib /DEF:&quot;$(InputDir)localization_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X86 /OUT:&quot;$(InputDir)scilocalization.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;lib /DEF:&quot;$(InputDir)fileio_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X86 /OUT:&quot;$(InputDir)fileio.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="LibScilab.lib scilab_windows.lib scilocalization.lib fileio.lib"
				OutputFile="../../../../bin/sci$(ProjectName).dll"
				LinkIncremental="1"
				ModuleDefinitionFile=""
				GenerateDebugInformation="true"
				SubSystem="2"
				RandomizedBaseAddress="1"
				DataExecutionPrevention="0"
				ImportLibrary="../../../../bin/sci$(ProjectName).lib"
				TargetMachine="1"
				CLRUnmanagedCodeCheck="true"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Debug|x64"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="2"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TargetEnvironment="3"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories=".;../../includes;../../../localization/includes;../../../../libs/intl;../../../../libs/MALLOC/includes;../../../core/includes;../../../windows_tools/includes;../../../output_stream/includes;../../../fileio/includes;../../../../java/jdk/include;../../../../java/jdk/include/win32;../../../api_scilab/includes"
				PreprocessorDefinitions="_CRT_SECURE_NO_DEPRECATE;FORDLL;_DEBUG;_WINDOWS;_USRDLL;HISTORY_MANAGER_EXPORTS"
				MinimalRebuild="true"
				BasicRuntimeChecks="0"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
				Description="Make dependencies"
				CommandLine="lib /DEF:&quot;$(InputDir)LibScilab_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X64 /OUT:&quot;$(InputDir)LibScilab.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;lib /DEF:&quot;$(InputDir)Scilab_windows_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X64 /OUT:&quot;$(InputDir)scilab_windows.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;lib /DEF:&quot;$(InputDir)localization_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X64 /OUT:&quot;$(InputDir)scilocalization.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;lib /DEF:&quot;$(InputDir)fileio_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X64 /OUT:&quot;$(InputDir)fileio.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="LibScilab.lib scilab_windows.lib scilocalization.lib fileio.lib"
				OutputFile="../../../../bin/sci$(ProjectName).dll"
				LinkIncremental="1"
				ModuleDefinitionFile=""
				GenerateDebugInformation="true"
				SubSystem="2"
				RandomizedBaseAddress="1"
				DataExecutionPrevention="0"
				ImportLibrary="../../../../bin/sci$(ProjectName).lib"
				TargetMachine="17"
				CLRUnmanagedCodeCheck="true"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="2"
			CharacterSet="2"
			WholeProgramOptimization="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				AdditionalOptions="/arch:IA32"
				InlineFunctionExpansion="1"
				FavorSizeOrSpeed="1"
				WholeProgramOptimization="false"
				AdditionalIncludeDirectories=".;../../includes;../../../localization/includes;../../../../libs/intl;../../../../libs/MALLOC/includes;../../../core/includes;../../../windows_tools/includes;../../../output_stream/includes;../../../fileio/includes;../../../../java/jdk/include;../../../../java/jdk/include/win32;../../../api_scilab/includes"
				PreprocessorDefinitions="_CRT_SECURE_NO_DEPRECATE;FORDLL;NDEBUG;_WINDOWS;_USRDLL;HISTORY_MANAGER_EXPORTS"
				StringPooling="true"
				RuntimeLibrary="2"
				EnableEnhancedInstructionSet="0"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
				Description="Make dependencies"
				CommandLine="lib /DEF:&quot;$(InputDir)LibScilab_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X86 /OUT:&quot;$(InputDir)LibScilab.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;lib /DEF:&quot;$(InputDir)Scilab_windows_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X86 /OUT:&quot;$(InputDir)scilab_windows.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;lib /DEF:&quot;$(InputDir)localization_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X86 /OUT:&quot;$(InputDir)scilocalization.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;lib /DEF:&quot;$(InputDir)fileio_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X86 /OUT:&quot;$(InputDir)fileio.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="LibScilab.lib scilab_windows.lib scilocalization.lib fileio.lib"
				OutputFile="../../../../bin/sci$(ProjectName).dll"
				LinkIncremental="1"
				ModuleDefinitionFile=""
				GenerateDebugInformation="false"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				LinkTimeCodeGeneration="0"
				RandomizedBaseAddress="1"
				DataExecutionPrevention="0"
				ImportLibrary="../../../../bin/sci$(ProjectName).lib"
				TargetMachine="1"
				CLRUnmanagedCodeCheck="true"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|x64"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="2"
			CharacterSet="2"
			WholeProgramOptimization="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TargetEnvironment="3"
			/>
			<Tool
				Name="VCCLCompilerTool"
				InlineFunctionExpansion="1"
				FavorSizeOrSpeed="1"
				WholeProgramOptimization="false"
				AdditionalIncludeDirectories=".;../../includes;../../../localization/includes;../../../../libs/intl;../../../../libs/MALLOC/includes;../../../core/includes;../../../windows_tools/includes;../../../output_stream/includes;../../../fileio/includes;../../../../java/jdk/include;../../../../java/jdk/include/win32;../../../api_scilab/includes"
				PreprocessorDefinitions="_CRT_SECURE_NO_DEPRECATE;FORDLL;NDEBUG;_WINDOWS;_USRDLL;HISTORY_MANAGER_EXPORTS"
				StringPooling="true"
				RuntimeLibrary="2"
				EnableEnhancedInstructionSet="0"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
				Description="Make dependencies"
				CommandLine="lib /DEF:&quot;$(InputDir)LibScilab_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X64 /OUT:&quot;$(InputDir)LibScilab.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;lib /DEF:&quot;$(InputDir)Scilab_windows_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X64 /OUT:&quot;$(InputDir)scilab_windows.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;lib /DEF:&quot;$(InputDir)localization_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X64 /OUT:&quot;$(InputDir)scilocalization.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;lib /DEF:&quot;$(InputDir)fileio_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X64 /OUT:&quot;$(InputDir)fileio.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="LibScilab.lib scilab_windows.lib scilocalization.lib fileio.lib"
				OutputFile="../../../../bin/sci$(ProjectName).dll"
				LinkIncremental="1"
				ModuleDefinitionFile=""
				GenerateDebugInformation="false"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				LinkTimeCodeGeneration="0"
				RandomizedBaseAddress="1"
				DataExecutionPrevention="0"
				ImportLibrary="../../../../bin/sci$(ProjectName).lib"
				TargetMachine="17"
				CLRUnmanagedCodeCheck="true"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
			>
			<File
				RelativePath="..\cpp\CommandLine.cpp"
				>
			</File>
			<File
				RelativePath=".\DllmainHistory_Manager.c"
				>
			</File>
			<File
				RelativePath=".\getCommentDateSession.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\gw_history_manager.c"
				>
			</File>
			<File
				RelativePath="..\cpp\HistoryFile.cpp"
				>
			</File>
			<File
				RelativePath="..\jni\HistoryManagement_wrap.c"
				>
			</File>
			<File
				RelativePath="..\cpp\HistoryManager.cpp"
				>
			</File>
			<File
				RelativePath="..\cpp\HistorySearch.cpp"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_addhistory.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_displayhistory.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_gethistory.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_gethistoryfile.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_historymanager.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_historysize.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_loadhistory.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_removelinehistory.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_resethistory.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_saveafterncommands.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_saveconsecutivecommands.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_savehistory.c"
				>
			</File>
			<File
				RelativePath="..\..\sci_gateway\c\sci_sethistoryfile.c"
				>
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl"
			>
			<File
				RelativePath="..\cpp\CommandLine.hxx"
				>
			</File>
			<File
				RelativePath="..\..\includes\dynlib_history_manager.h"
				>
			</File>
			<File
				RelativePath=".\getCommentDateSession.h"
				>
			</File>
			<File
				RelativePath="..\..\includes\gw_history_manager.h"
				>
			</File>
			<File
				RelativePath="..\cpp\HistoryFile.hxx"
				>
			</File>
			<File
				RelativePath="..\..\includes\HistoryManager.h"
				>
			</File>
			<File
				RelativePath="..\cpp\HistoryManager.hxx"
				>
			</File>
			<File
				RelativePath="..\cpp\HistorySearch.hxx"
				>
			</File>
			<File
				RelativePath="..\..\includes\InitializeHistoryManager.h"
				>
			</File>
			<File
				RelativePath=".\resource.h"
				>
			</File>
			<File
				RelativePath="..\..\includes\TerminateHistoryManager.h"
				>
			</File>
		</Filter>
		<Filter
			Name="localization"
			>
			<File
				RelativePath="..\..\locales\en_US\messages.pot"
				>
			</File>
		</Filter>
		<Filter
			Name="Resource Files"
			>
			<File
				RelativePath=".\history_manager.rc"
				>
			</File>
		</Filter>
		<Filter
			Name="Swig Files"
			>
			<File
				RelativePath="..\jni\HistoryManagement.i"
				>
			</File>
		</Filter>
		<Filter
			Name="Libraries Dependencies"
			>
			<File
				RelativePath="..\..\..\..\bin\MALLOC.lib"
				>
			</File>
			<Filter
				Name="Imports"
				>
				<File
					RelativePath=".\fileio_Import.def"
					>
				</File>
				<File
					RelativePath=".\LibScilab_Import.def"
					>
				</File>
				<File
					RelativePath=".\localization_Import.def"
					>
				</File>
				<File
					RelativePath=".\Scilab_windows_Import.def"
					>
				</File>
			</Filter>
		</Filter>
		<File
			RelativePath="..\..\history_manager.iss"
			>
		</File>
		<File
			RelativePath="..\..\sci_gateway\history_manager_gateway.xml"
			>
		</File>
		<File
			RelativePath="..\..\Makefile.am"
			>
		</File>
		<File
			RelativePath="..\..\version.xml"
			>
		</File>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
